Unit tde38r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE38R_p, DE38R_p;

function tde38r: String;

implementation

function tde38r: String;
var
_i,J,I,IERR :Integer;
XN,P,H,HMIN,EPS,X :Real;
YN :Array [0..1] of Real;
DYN :Array [0..1] of Real;
YX :Array [0..1] of Real;
DYX :Array [0..1] of Real;
Z :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
R :Array [0..1] of Real;
begin
Result := '';  {   }
YN[0] := 1.0;
YN[1] := -1.0;
DYN[0] := 1.5;
DYN[1] := -0.5;
XN := 0.0;
P := 100.0;
H := 0.01;
HMIN := 1.E-11;
EPS := 0.0001;
DE38R(FDE38R,2,5,XN,YN,DYN,HMIN,EPS,P,H,X,YX,DYX,Z,
     DF,RFN,RF,R,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%6d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%20.16f',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DYX[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Z[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde38r',Result);  {     tde38r.res }
exit;
end;

end.
